Subject: Re: bug#41465: 28.0.50 (but also earlier versions); etags asserion error (with too many files?)

From: Dmitry Gutov <[email-masked]>
Date: Sun, 24 May 2020 17:18:07 +0300

Hi Gregor,

Please keep the bug email in Cc.

On 24.05.2020 09:58, Gregor Zattler wrote:
> Hi Dmitry,
> * Dmitry Gutov <[email-masked]> [2020-05-24; 04:43]:
>> Thanks you for that addition.
>>
>> Indeed, when I configure Emacs with
>>
>>     CFLAGS='-g -O2' --enable-checking
>>
>> etags does abort with assertion errors you described.
> 
> arghs, my statement "also happens with the binary from
> debian buster 10.4" was wrong.  I tested with /usr/bin/etags
> but forgot I that wrestled my emacs-27 build into the
> alternatives system of debian.
> 
> I tested again with
> 
> 0 (master *) grfz@no:~$ /usr/bin/etags.emacs ~/src/linux//include/net/mac80211.h
> 0 (master *) grfz@no:~$ /usr/bin/etags.emacs ~/src/linux/sound/soc/codecs/cs43130.c
> 
> and now there are no assertion errors with these files.

Makes sense.

> But shouldn't there also be no assertion errors with
> --enable-checking ?

There shouldn't be.

So it's a valuable bug report, just less urgent than we might have 
decided previously.

I'll let our developers who know etags better handle it from here.